import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {InventoryComponent} from "./pages/inventory/inventory.component";
import {AddComponent} from "./pages/add/add.component";
import {EditComponent} from "./pages/edit/edit.component";

const routes: Routes = [{
  path: 'list',
  component: InventoryComponent
}, {
  path: 'add',
  component: AddComponent
}, {
  path: 'edit/:id',
  component: EditComponent
}, {
  path: '',
  pathMatch: 'full',
  redirectTo: 'list'
}];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class MaterialRoutingModule {
}
