import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core'
import {UNIT_GALLON, UNIT_LITER, UNIT_MILLILITER} from "../../../shared/units";
import {FormControl} from '@angular/forms'

@Component({
  selector: 'cre-unit-selector',
  templateUrl: './unit-selector.component.html',
  styleUrls: ['./unit-selector.component.sass']
})
export class UnitSelectorComponent implements OnInit {
  readonly unitConstants = {UNIT_MILLILITER, UNIT_LITER, UNIT_GALLON}

  @Input() unit = UNIT_MILLILITER
  @Input() showLabel = true
  @Input() short = false
  @Input() control: FormControl | null

  @Output() unitChange = new EventEmitter<string>()

  ngOnInit() {
    this.control?.setValue(this.unit)
  }

  onUnitChange(newUnit: string) {
    this.control?.setValue(newUnit)
    this.unitChange.emit(newUnit)
  }
}
