import {NgModule} from '@angular/core'

import {RecipesRoutingModule} from './recipes-routing.module'
import {SharedModule} from '../shared/shared.module'
import {MatExpansionModule} from '@angular/material/expansion'
import {FormsModule} from '@angular/forms'
import {CreRecipeExplore} from './explore'
import {RecipeInfoComponent} from './components/recipe-info/recipe-info.component'
import {MixTableComponent} from './components/mix-table/mix-table.component'
import {StepListComponent} from './components/step-list/step-list.component'
import {StepTableComponent} from './components/step-table/step-table.component'
import {UnitSelectorComponent} from './components/unit-selector/unit-selector.component'
import {ImagesEditorComponent} from './components/images-editor/images-editor.component'
import {MixesCardComponent} from './components/mixes-card/mixes-card.component'
import {MatSortModule} from '@angular/material/sort'
import {CreInputsModule} from '../shared/components/inputs/inputs.module'
import {CreButtonsModule} from '../shared/components/buttons/buttons.module'
import {RecipeAdd, RecipeEdit, RecipeForm} from './recipes'
import {CreActionBarModule} from '../shared/components/action-bar/action-bar.module'
import {RecipeList} from './list'
import {MixAdd, MixEdit, MixForm, MixInfoForm} from './mix/mix'
import {CreTablesModule} from '../shared/components/tables/tables.module'
import {MixMaterialsForm, MixMaterialsFormComboBox} from './mix/materials-form'

@NgModule({
  declarations: [
    CreRecipeExplore,
    RecipeInfoComponent,
    MixTableComponent,
    StepListComponent,
    StepTableComponent,
    UnitSelectorComponent,
    ImagesEditorComponent,
    MixesCardComponent,
    RecipeForm,
    RecipeAdd,
    RecipeEdit,
    RecipeList,
    MixAdd,
    MixEdit,
    MixForm,
    MixInfoForm,
    MixMaterialsForm,
    MixMaterialsFormComboBox
  ],
  exports: [
    UnitSelectorComponent
  ],
  imports: [
    RecipesRoutingModule,
    SharedModule,
    MatExpansionModule,
    FormsModule,
    MatSortModule,
    CreInputsModule,
    CreButtonsModule,
    CreActionBarModule,
    CreTablesModule
  ]
})
export class RecipesModule {
}
