import {Injectable} from '@angular/core'
import {ApiService} from '../../shared/service/api.service'
import {Observable} from 'rxjs'
import {Recipe} from '../../shared/model/recipe.model'

@Injectable({
  providedIn: 'root'
})
export class RecipeImageService {
  constructor(
    private api: ApiService
  ) {
  }

  save(image: File, recipeId: number): Observable<Recipe> {
    const body = new FormData()
    body.append('image', image)
    return this.api.put<Recipe>(`/recipe/${recipeId}/image`, body)
  }

  delete(url: string, recipeId: number): Observable<void> {
    const urlFragments = url.split('%2F')
    const imageName = urlFragments[urlFragments.length - 1].replace('.jpg', '')

    return this.api.delete<void>(`/recipe/${recipeId}/image/${imageName}`)
  }
}

