import {Component, Input, ViewEncapsulation} from '@angular/core'
import {ThemePalette} from '@angular/material/core'

@Component({
  selector: 'cre-button',
  template: `
    <button mat-raised-button [type]="type" [color]="color" [disabled]="disabled">
      <ng-content></ng-content>
    </button>
  `,
  styleUrls: ['buttons.sass'],
  encapsulation: ViewEncapsulation.None
})
export class CreButtonComponent {
  @Input() color: ThemePalette
  @Input() type = 'button'
  @Input() disabled = false
}

@Component({
  selector: 'cre-primary-button',
  template: `
    <cre-button color="primary" [type]="type" [disabled]="disabled">
      <ng-content></ng-content>
    </cre-button>
  `,
  styleUrls: ['buttons.sass']
})
export class CrePrimaryButtonComponent {
  @Input() type = 'button'
  @Input() disabled = false
}

@Component({
  selector: 'cre-accent-button',
  template: `
    <cre-button color="accent" [type]="type" [disabled]="disabled">
      <ng-content></ng-content>
    </cre-button>
  `,
  styleUrls: ['buttons.sass']
})
export class CreAccentButtonComponent {
  @Input() type = 'button'
  @Input() disabled = false
}

@Component({
  selector: 'cre-warn-button',
  template: `
    <cre-button color="warn" [type]="type" [disabled]="disabled">
      <ng-content></ng-content>
    </cre-button>
  `,
  styleUrls: ['buttons.sass']
})
export class CreWarnButtonComponent {
  @Input() type = 'button'
  @Input() disabled = false
}
