import {Component, ContentChild, EventEmitter, Input, Output} from '@angular/core'
import {ICreForm} from './forms';

@Component({
  selector: 'cre-form-submit-button',
  templateUrl: 'submit-button.html'
})
export class CreSubmitButton {
  @Input() form: ICreForm
  @Input() valid: boolean | null
  @Input() text = 'Enregistrer'

  @Output() submit = new EventEmitter<void>()

  get disableButton(): boolean {
    return !this.form || !(this.valid ?? this.form.valid)
  }
}
