import {Component} from '@angular/core'
import {AlertHandlerComponent, AlertService, AlertType} from '../../service/alert.service'
import {animate, state, style, transition, trigger} from '@angular/animations'

@Component({
  selector: 'cre-global-alert-handler',
  templateUrl: './global-alert-handler.component.html',
  styleUrls: ['./global-alert-handler.component.sass'],
  animations: [
    trigger('fadeIn', [
      state('void', style({
        opacity: 0,
        transform: 'scale(0.5)'
      })),
      transition('void <=> *', animate(100))
    ])
  ]
})
export class GlobalAlertHandlerComponent extends AlertHandlerComponent {
  public static extraTopMarginMultiplier = 0

  readonly SUCCESS_ALERT_TYPE = AlertType.Success
  readonly WARNING_ALERT_TYPE = AlertType.Warning
  readonly ERROR_ALERT_TYPE = AlertType.Error

  constructor(alertService: AlertService) {
    super(alertService)
  }

  get extraTopMarginSize(): number {
    return GlobalAlertHandlerComponent.extraTopMarginMultiplier * 3
  }
}
