import {Component, Input, OnInit} from '@angular/core'
import {User, Group, Permission, mapped_permissions} from '../../model/user'

@Component({
  selector: 'cre-permissions-list',
  templateUrl: './permissions-list.component.html',
  styleUrls: ['./permissions-list.component.sass']
})
export class PermissionsListComponent {
  @Input() user: User
  @Input() group: Group

  // @ts-ignore
  private _permissions = Object.values(mapped_permissions).flatMap(p => p)

  constructor() {
  }

  get permissions(): Permission[] {
    // @ts-ignore
    return this.filterPermissions(this.user ? this.user.permissions : this.group.permissions)
  }

  private filterPermissions(permissions: Permission[]) {
    return this._permissions.filter(p => permissions.indexOf(p.permission) >= 0).map(p => p.description)
  }
}
