import {NgModule} from '@angular/core'
import {RouterModule, Routes} from '@angular/router'
import {TouchUpKitAdd, TouchUpKitDetails, TouchUpKitEdit, TouchUpKitList} from './pages/touchupkit'

const routes: Routes = [{
  path: 'list',
  component: TouchUpKitList
}, {
  path: 'details/:id',
  component: TouchUpKitDetails
}, {
  path: 'add',
  component: TouchUpKitAdd
}, {
  path: 'edit/:id',
  component: TouchUpKitEdit
}, {
  path: '',
  pathMatch: 'full',
  redirectTo: 'list'
}]

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TouchUpKitRoutingModule {
}
